{
  "name": "react-native-document-picker-super",
  "version": "6.0.6",
  "description": "A react native interface to access documents from dropbox, google drive, iCloud...",
  "main": "lib/commonjs/index",
  "module": "lib/module/index",
  "types": "lib/typescript/index.d.ts",
  "react-native": "src/index",
  "source": "src/index",
  "files": [
    "src",
    "lib",
    "android",
    "ios",
    "windows",
    "cpp",
    "react-native-document-picker-super.podspec",
    "!lib/typescript/example",
    "!android/build",
    "!ios/build",
    "!**/__tests__",
    "!**/__fixtures__",
    "!**/__mocks__"
  ],
  "scripts": {
    "test": "jest",
    "typescript": "tsc --noEmit",
    "lint": "eslint \"**/*.{js,ts,tsx}\"",
    "prepare": "bob build",
    "release": "release-it",
    "example": "yarn --cwd example",
    "pods": "cd example && pod-install --quiet",
    "bootstrap": "yarn example && yarn && yarn pods"
  },
  "keywords": [
    "react-native",
    "document",
    "picker",
    "uidocumentmenuviewcontroller",
    "dropbox",
    "google-drive",
    "icloud"
  ],
  "repository": "https://github.com/rnmods/react-native-document-picker",
  "author": "Elyx0 <elyx00@gmail.com> (https://github.com/rnmods), Vojtech Novak (hello@react-native-training.eu)",
  "license": "MIT",
  "bugs": {
    "url": "https://github.com/rnmods/react-native-document-picker/issues"
  },
  "homepage": "https://github.com/rnmods/react-native-document-picker#readme",
  "publishConfig": {
    "registry": "https://registry.npmjs.org/"
  },
  "devDependencies": {
    "@commitlint/config-conventional": "^13.1.0",
    "@react-native-community/eslint-config": "^3.0.0",
    "@release-it/conventional-changelog": "^3.3.0",
    "@types/invariant": "^2.2.34",
    "@types/jest": "^27.0.1",
    "@types/react": "^17.0.19",
    "@types/react-native": "0.64.13",
    "commitlint": "^13.1.0",
    "eslint": "^7.32.0",
    "eslint-config-prettier": "^8.3.0",
    "eslint-plugin-prettier": "^3.4.1",
    "husky": "^4.2.5",
    "jest": "^27.0.6",
    "pod-install": "^0.1.27",
    "prettier": "^2.3.2",
    "react": "17.0.2",
    "react-native": "0.64.2",
    "react-native-builder-bob": "^0.18.0",
    "react-native-windows": "^0.64.14",
    "release-it": "^14.11.5",
    "typescript": "^4.3.5"
  },
  "peerDependencies": {
    "react": "*",
    "react-native": "*",
    "react-native-windows": "*"
  },
  "jest": {
    "preset": "react-native",
    "modulePathIgnorePatterns": [
      "<rootDir>/example/node_modules",
      "<rootDir>/lib/"
    ]
  },
  "husky": {
    "hooks": {
      "commit-msg": "commitlint -E HUSKY_GIT_PARAMS",
      "pre-commit": "yarn lint && yarn typescript"
    }
  },
  "commitlint": {
    "extends": [
      "@commitlint/config-conventional"
    ]
  },
  "release-it": {
    "git": {
      "commitMessage": "chore: release ${version}",
      "tagName": "v${version}"
    },
    "npm": {
      "publish": true
    },
    "github": {
      "release": true
    },
    "plugins": {
      "@release-it/conventional-changelog": {
        "preset": "angular"
      }
    }
  },
  "eslintConfig": {
    "root": true,
    "extends": [
      "@react-native-community",
      "plugin:prettier/recommended"
    ]
  },
  "eslintIgnore": [
    "node_modules/",
    "lib/"
  ],
  "react-native-builder-bob": {
    "source": "src",
    "output": "lib",
    "targets": [
      "commonjs",
      "module",
      [
        "typescript",
        {
          "project": "tsconfig.build.json"
        }
      ]
    ]
  },
  "dependencies": {
    "invariant": "^2.2.4"
  }
}
